
Redmine - Defect #14658

Wrong activity timezone on user page

2013-08-10 01:48 - Toshi MARUYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Activity view Estimated time: 0.00 hour

Target version: 3.2.5   

Resolution: Fixed Affected version: 2.3.2

Description

http://www.redmine.org/users/11192

I use Japanese standard time (+0900) on redmine.org.

#14653#note-3 note-3 should be on 2013-08-10.

 user-activity.png 

Related issues:

Related to Redmine - Defect #1048: Day grouping on Activity view ignores user... Closed 2008-04-12

Related to Redmine - Defect #10996: Time zones lost when upgrading from Redmi... Closed

Has duplicate Redmine - Defect #24707: Activity in User Profile shows incorre... Closed

Associated revisions

Revision 16138 - 2017-01-04 22:21 - Jean-Philippe Lang

Wrong activity timezone on user page (#14658).

Patch by Go MAEDA.

Revision 16139 - 2017-01-07 08:51 - Jean-Philippe Lang

Merged r16138 (#14658).

Revision 16140 - 2017-01-07 08:52 - Jean-Philippe Lang

Merged r16138 (#14658).

History

#1 - 2013-08-10 01:54 - Toshi MARUYAMA

CI server time is a head of 2 hours.

Now, It is 2013-08-09 23:50 UTC.

But CI server time is Sat Aug 10 03:50:03 +0200 2013.

http://www.redmine.org/builds/index.html

#2 - 2013-08-10 10:01 - Etienne Massip

- Category set to Website (redmine.org)

#3 - 2014-08-21 08:04 - Matthew Peterson

I'm fairly sure this is a duplicate of #1048

#4 - 2014-09-19 05:42 - Toshi MARUYAMA

- Category deleted (Website (redmine.org))

#5 - 2014-09-19 05:45 - Toshi MARUYAMA

- Related to Defect #1048: Day grouping on Activity view ignores user's time zone added

#6 - 2014-09-19 05:47 - Toshi MARUYAMA

Matthew Peterson wrote:
I'm fairly sure this is a duplicate of #1048

 No.

I mean this issue is on user page.

http://www.redmine.org/users/11192

#7 - 2014-09-19 05:56 - Toshi MARUYAMA

- File act.png added

Activity page works correctly.

http://www.redmine.org/activity?from=2013-08-10&user_id=11192

 act.png 

#8 - 2016-02-14 23:35 - Kit Grose

This issue is affecting our installation too. Interestingly, it seems to only affect one of our users (not all). That user has the same timezone set in their

preferences as everyone else.

When other users visit that user's page it shows up incorrectly, and when that user visits any other user's page, the times are shown correctly.

We have v2.3.0.stable installed, though.

#9 - 2016-12-13 07:05 - Ewan Makepeace

+1

#10 - 2017-01-01 03:11 - Go MAEDA

- Category set to Activity view

- Target version set to 3.2.5

This issue can be fixed by the following patch.

ActivitiesController#show have been fixed in r9726 (diff) in order to handle time zones properly. This patch applies the same fix to

UsersController#show.

Index: app/controllers/users_controller.rb

===================================================================

--- app/controllers/users_controller.rb    (revision 16111)

+++ app/controllers/users_controller.rb    (working copy)

@@ -74,7 +74,7 @@

     respond_to do |format|

       format.html {

         events = Redmine::Activity::Fetcher.new(User.current, :author => @user).events(nil, nil, :limit => 10

)

-        @events_by_day = events.group_by(&:event_date)

+        @events_by_day = events.group_by {|event| User.current.time_to_date(event.event_datetime)}

         render :layout => 'base'

       }

       format.api

#11 - 2017-01-01 03:11 - Go MAEDA

- Related to Defect #10996: Time zones lost when upgrading from Redmine 1.4 to 2.0 added

#12 - 2017-01-01 03:11 - Go MAEDA

- Has duplicate Defect #24707: Activity in User Profile shows incorrect date/time, dependent to Time zone  added

#13 - 2017-01-04 22:21 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fix committed, thanks.

#14 - 2017-01-05 05:10 - kaz k

- File Defect_14658_Patch_Test_resultsScreenShots.zip added
Hi, I came here from #24707.

I tested the patch in note 10 (#14658#note-10).

Environment

Redmine 3.1.1 (Windows) (not the target version :-) )

Time Zone of the viewer: GMT+09:00(Tokyo).

Result

The patch worked well. Attached is the screen captures of 'Before' and 'After' patch with comments (Zipped).

Thank you.

#15 - 2017-01-05 05:42 - Go MAEDA

kaz k, thanks for the screenshots.

This problem will be fixed in upcoming 3.2.5 / 3.3.2 / 3.4.0.

Your #24707 triggered me to investigate this issue. Thank you again.

#16 - 2017-01-07 08:53 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

user-activity.png 38.3 KB 2013-08-09 Toshi MARUYAMA

act.png 76.7 KB 2014-09-19 Toshi MARUYAMA

Defect_14658_Patch_Test_resultsScreenShots.zip 149 KB 2017-01-05 kaz k
